MongoDB::__get
MongoDB::getDBRef
MongoDB
PHP Manual

# MongoDB::getCollectionNames

Get all collections from this database

### Description

public array MongoDB::getCollectionNames ([ bool `$includeSystemCollections` = false ] )

Returns an array of all the collection names for the given database.

### Parameters

`includeSystemCollections`

  Include system collections.

### Return Values

Returns the names of the all the collections in the database as an array.

### Examples

Example #1 MongoDB::getCollectionNames example

`<?php
$m = new Mongo;
$collections = $m->selectDB("demo")->getCollectionNames();
var_dump($collections);
?>`

The above example will output something similar to:

    array(2) {
      [0]=>
      string(9) "addresses"
      [1]=>
      string(5) "users"
    }

### See Also

- MongoDB::listCollections